# provide a cross-platform open functions for files

import sys, os

def startfile(path):
	if sys.platform.startswith('win'):
		os.startfile(path)
	
	elif sys.platform.startswith('darwin'):
		path = path.replace(' ', '\\ ')		
		os.system("open " + path)
	
	# trick on Linux if displaying the documentation
	elif path.lower().endswith('.pdf'):
			os.system("acroread " + path)
			# do nothing if the command files
	