import sys

if sys.platform.startswith('win'):
    import win32api
else:
    import os


def kill(pid):
    if sys.platform.startswith('win'):
        handle = win32api.OpenProcess(1, 0, pid)
        win32api.TerminateProcess(handle, 0)
    else:
        os.kill(pid, 9)