
import wx
from wx.html import *
import os,sys

class HtmlViewer(wx.Frame):
	def __init__(self, parent = None, title = '', file = ''):
		wx.Frame.__init__(self, parent, -1, title, size = (600, 750))
		panel = wx.Panel(self,size = (600, 700))
		
		self.html = HtmlWindow(panel, -1)
		
		self.box = wx.BoxSizer(wx.VERTICAL)
		self.box.Add(self.html, 1, wx.GROW)

		self.SetSizer(self.box)
		self.SetAutoLayout(True)
		
		if file:
			self.load(file)
			
	def load(self, file):
		self.html.LoadPage(file)


if __name__ == '__main__':
	app = wx.App()
	viewer = HtmlViewer(None, "Documentation", '../documentation/documentation.xhtml')
	viewer.Show(True)
	app.MainLoop()
	