import os
import pfc.prefs

'''
This module provides plugin writers with some facilities to extend the platform.
'''

def getPrefsDir():
	"Return Prefs directory in a platform-neutral way"
	return pfc.prefs.getPrefsDir()

def getBuffer():
	"Return the path of the buffer file"
	return os.path.join(pfc.prefs.getPrefsDir(), "buffer")

def getBufferLines():
	"Return the buffer's content as a list of line"
	buffer = open(getBuffer())
	return buffer.readlines()



	